.\" Copyright Oryx Mail Systems GmbH. Enquiries to info@oryx.com, please.
.TH deliver 8 2008-08-18 aox.org "Archiveopteryx Documentation"
.SH NAME
deliver - deliver mail into Archiveopteryx.
.SH SYNOPSIS
.B $BINDIR/deliver [-f sender] [-t mailbox] [-v] destination [filename]
.SH DESCRIPTION
.nh
.PP
The
.B deliver
program injects a single mail message in RFC-822 format into
Archiveopteryx.
It connects to Archiveopteryx's backend ddatabase injects the message
into the correct mailbox.
.PP
.B deliver
is meant as a compatibility shim for use with e.g.
.BR formail (1)
and with MTAs that want to deliver to a program.
Note that you will generally get better performance by using LMTP.
.PP
.B deliver
bypasses Sieve and always stores mail directly into the target mailbox.
.SH OPTIONS
.IP "-f sender"
specifies the fully qualified address of the message sender. This is
the same as the SMTP envelope sender.
.IP
Starting with version 2.01, the
.I -f
argument is ignored. It is still accepted to keep old scripts working.
.IP "-t mailbox"
directs
.B deliver
to store the message into the named mailbox. The "p" right on the
mailbox must be granted to "anyone". ("p" controls who is permitted to
send mail to the mailbox, see RFC 4314 for more details.)
.IP "-v"
requests more verbosity during delivery. May be specified twice.
.SH EXAMPLES
To deliver an entire berkeley mbox into the inbox of user nirmala@example.com:
.IP
formail -s deliver nirmala@example.com < mbox
.PP
To deliver each message in the MH folder +blah into the
inbox of user raj@example.net:
.IP
folder +blah
.br
seq all | xargs -n1 deliver raj@example.net
.PP
To deliver each message in the MH folder +ramble into folder stumble
of user raj@example.net:
.IP
folder +blah
.br
seq all | xargs -n1 deliver -t stumble raj@example.net
.PP
If raj has not granted "anyone" the "p" right ("p"ost mail to
mailbox), this example fails.
.SH DIAGNOSTICS
The normal exit status of
.B deliver
is 0. In case of errors,
.B deliver
returns an error code from sysexits.h, such as EX_TEMPFAIL, EX_NOUSER, etc.
.SH BUGS
Delivering multiple messages would also be good, for those big mailbox
migrations. In that case,
.B
deliver
should report which messages could be delivered and which could not.
.PP
There is no command-line option to set the configuration file.
.SH AUTHOR
The Archiveopteryx developers, info@oryx.com.
.SH VERSION
This man page covers Archiveopteryx version 2.11, released 2008-08-18,
http://www.archiveopteryx.org/2.11
.SH SEE ALSO
.BR archiveopteryx (8),
.BR archiveopteryx.conf (5),
.BR logd (8),
.BR ocd (8),
.BR tlsproxy (8),
.BR oryx (7),
http://www.archiveopteryx.org
